/*#region Variables*/
$white: #fff;
$red: #ff4444;

$black: #212529;
$bg-black: #212121;
$bg-lightblack: #5e6271;

$gray: #808080;
$bg-gray: #f2f2f2;
$bg-lightgray: #f2f2f2;

$border-gray: #ddd;
$border-lightgray: #f2f2f2;

$primary-color: #169c53;
$primary-color-hover: #51b4e6;

$second-color: #41b270;
$second-color-hover: #51b4e6;

$line-height: 1.5;
/** custom color **/
$deepgray: #666666;
$bg-deepgray: #4d4d4d;

$success: #00c851;
$info: #33b5e5;
$warning: #f80;
$danger: #ff3547;
$default: #e0e0e0;

$font-weight-light: 300;
$font-weight-normal: normal;
$font-weight-semibold: 600;
$font-weight-bold: bold;

$font-family-primary: "Roboto", sans-serif;
$font-family-second: "iCielFesterSemiCondensed", sans-serif;
/*#endregion*/
/*#region Mixin*/
@mixin border($size: 1px, $style: solid, $color: $border-gray) {
  border: $size $style $color;
}

@mixin border-top($size: 1px, $style: solid, $color: $border-gray) {
  border-top: $size $style $color;
}

@mixin border-bottom($size: 1px, $style: solid, $color: $border-gray) {
  border-bottom: $size $style $color;
}

@mixin border-left($size: 1px, $style: solid, $color: $border-gray) {
  border-left: $size $style $color;
}

@mixin border-right($size: 1px, $style: solid, $color: $border-gray) {
  border-right: $size $style $color;
}

@mixin animation() {
  -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
  -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
  -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
}

@mixin clearfix() {
  &:after,
  &:before {
    content: " ";
    display: table;
  }

  &:after {
    clear: both;
  }
}

@mixin flex-container() {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-flow: row wrap;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap; // -webkit-justify-content: space-around;
  -ms-flex-pack: distribute; // justify-content: space-around;
  &.flex-item-center {
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  &.row > .col,
  > .col {
    float: none;
  }
}

@mixin non-flex-container() {
  -webkit-box-align: inherit;
  -webkit-align-items: inherit;
  -ms-flex-align: inherit;
  align-items: inherit;
  -webkit-box-pack: inherit;
  -webkit-justify-content: inherit;
  -ms-flex-pack: inherit;
  justify-content: inherit;
  display: block;
}

@mixin flex-center() {
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

@mixin item-flex() {
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: -webkit-column;
  flex-direction: -webkit-column;
  flex-direction: -moz-column;
  -ms-flex-direction: -ms-column;
  flex-direction: -ms-column;
  flex-direction: -o-column;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;

  .text-container {
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -moz-flex: 1 0 auto;
    -o-flex: 1 0 auto;
    -webkit-box-flex: 1;
    -webkit-flex: 1 0 auto;
    -ms-flex: 1 0 auto;
    flex: 1 0 auto;
    -webkit-flex-direction: -webkit-column;
    flex-direction: -webkit-column;
    flex-direction: -moz-column;
    -ms-flex-direction: -ms-column;
    flex-direction: -ms-column;
    flex-direction: -o-column;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;

    .des,
    h3 {
      -moz-flex-grow: 1;
      -o-flex-grow: 1;
      -webkit-box-flex: 1;
      -webkit-flex-grow: 1;
      -ms-flex-positive: 1;
      flex-grow: 1;
    }

    h3 {
      -webkit-box-align: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
    }
  }
}

@mixin v-height() {
  display: table;
  height: 100%;
  width: 100%;
}

@mixin v-mid() {
  display: table-cell;
  vertical-align: middle;
  width: 100%;
}

@mixin v-top() {
  // display: table-header-group;
  display: table-header-group;
  width: 100%;
  vertical-align: top;
  // height: 100%;
}

@mixin v-bot() {
  // display: table-footer-group;
  display: table-cell;
  width: 100%;
  vertical-align: bottom;
}
/*#endregion*/
/*#region Typography*/
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  padding-top: 0;
  padding-bottom: 0;
  margin-top: 0;
  margin-bottom: 0;
}

.h,
.h0,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-weight: $font-weight-normal;
}

.h0 {
  font-size: 40px;
  line-height: 45px;
}

h1,
.h1 {
  font-size: 35px;
  line-height: 40px;
}

h2,
.h2 {
  font-size: 30px;
  line-height: 35px;
}

h3,
.h3 {
  font-size: 25px;
  line-height: 30px;
}

h4,
.h4 {
  font-size: 20px;
  line-height: 25px;
}

h5,
.h5 {
  font-size: 16px;
  line-height: normal;
}

h6,
.h6 {
  font-size: 12px;
  line-height: normal;
}

.h {
  font-size: 14px;
  line-height: 1.42857143;
}

body {
  font-size: 14px;
  line-height: 1.42857143;
}

@media screen and (max-width: 1024px) {
  .h0 {
    font-size: 35px;
    line-height: 40px;
  }

  h1,
  .h1 {
    font-size: 30px;
    line-height: 35px;
  }

  h2,
  .h2 {
    font-size: 25px;
    line-height: 30px;
  }

  h3,
  .h3 {
    font-size: 20px;
    line-height: 25px;
  }

  h4,
  .h4 {
    font-size: 18px;
    line-height: normal;
  }

  h5,
  .h5 {
    font-size: 16px;
    line-height: normal;
  }

  h6,
  .h6 {
    font-size: 12px;
    line-height: normal;
  }

  .h {
    font-size: 14px;
    line-height: 1.42857143;
  }

  body {
    font-size: 14px;
    line-height: 1.42857143;
  }
}

@media screen and (max-width: 768px) {
  .h0 {
    font-size: 30px;
    line-height: 35px;
  }

  h1,
  .h1 {
    font-size: 25px;
    line-height: 30px;
  }

  h2,
  .h2 {
    font-size: 20px;
    line-height: 25px;
  }

  h3,
  .h3 {
    font-size: 18px;
    line-height: normal;
  }

  h4,
  .h4 {
    font-size: 16px;
    line-height: normal;
  }

  h5,
  .h5 {
    font-size: 15px;
    line-height: normal;
  }

  h6,
  .h6 {
    font-size: 12px;
    line-height: normal;
  }

  .h {
    font-size: 14px;
    line-height: 1.42857143;
  }

  body {
    font-size: 14px;
    line-height: 1.42857143;
  }
}

@media screen and (max-width: 450px) {
  .h0 {
    font-size: 30px;
    line-height: 35px;
  }

  h1,
  .h1 {
    font-size: 25px;
    line-height: 30px;
  }

  h2,
  .h2 {
    font-size: 20px;
    line-height: 25px;
  }

  h3,
  .h3 {
    font-size: 18px;
    line-height: normal;
  }

  h4,
  .h4 {
    font-size: 16px;
    line-height: normal;
  }

  h5,
  .h5 {
    font-size: 15px;
    line-height: normal;
  }

  h6,
  .h6 {
    font-size: 12px;
    line-height: normal;
  }

  .h {
    font-size: 14px;
    line-height: 1.42857143;
  }

  body {
    font-size: 14px;
    line-height: 1.42857143;
  }
}
/*#endregion*/
/*#region Spacing*/
section {
  padding-top: 80px;
  padding-bottom: 80px;
}

.m-8 {
  margin-top: 80px;
  margin-bottom: 80px;
}

.m-4 {
  margin-top: 40px;
  margin-bottom: 40px;
}

.m-3 {
  margin-top: 30px;
  margin-bottom: 30px;
}

.m-2 {
  margin-top: 20px;
  margin-bottom: 20px;
}

.m-1 {
  margin-top: 10px;
  margin-bottom: 10px;
}

.p-8 {
  padding-top: 80px;
  padding-bottom: 80px;
}

.p-4 {
  padding-top: 40px;
  padding-bottom: 40px;
}

.p-3 {
  padding-top: 30px;
  padding-bottom: 30px;
}

.p-2 {
  padding-top: 20px;
  padding-bottom: 20px;
}

.p-1 {
  padding-top: 10px;
  padding-bottom: 10px;
}

.m-top-8 {
  margin-top: 80px;
}

.m-top-4 {
  margin-top: 40px;
}

.m-top-3 {
  margin-top: 30px;
}

.m-top-2 {
  margin-top: 20px;
}

.m-top-1 {
  margin-top: 10px;
}

.p-top-8 {
  padding-top: 80px;
}

.p-top-4 {
  padding-top: 40px;
}

.p-top-3 {
  padding-top: 30px;
}

.p-top-2 {
  padding-top: 20px;
}

.p-top-1 {
  padding-top: 10px;
}

.m-bot-8 {
  margin-bottom: 80px;
}

.m-bot-4 {
  margin-bottom: 40px;
}

.m-bot-3 {
  margin-bottom: 30px;
}

.m-bot-2 {
  margin-bottom: 20px;
}

.m-bot-1 {
  margin-bottom: 10px;
}

.p-bot-8 {
  padding-bottom: 80px;
}

.p-bot-4 {
  padding-bottom: 40px;
}

.p-bot-3 {
  padding-bottom: 30px;
}

.p-bot-2 {
  padding-bottom: 20px;
}

.p-bot-1 {
  padding-bottom: 10px;
}

.p-top-0 {
  padding-top: 0;
}

.p-bot-0 {
  padding-bottom: 0;
}

.m-top-0 {
  margin-top: 0;
}

.m-bot-0 {
  margin-bottom: 0;
}

.p-0 {
  padding-top: 0;
  padding-bottom: 0;
}

.m-0 {
  margin-top: 0;
  margin-bottom: 0;
}

@media screen and (max-width: 1024px) {
  /*#region spacing*/
  section {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  .m-8 {
    margin-top: 60px;
    margin-bottom: 60px;
  }

  .m-4 {
    margin-top: 30px;
    margin-bottom: 30px;
  }

  .m-3 {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .p-8 {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .p-4 {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  .p-3 {
    padding-top: 20px;
    padding-bottom: 20px;
  }

  .m-top-8 {
    margin-top: 60px;
  }

  .m-top-4 {
    margin-top: 30px;
  }

  .m-top-3 {
    margin-top: 20px;
  }

  .p-top-8 {
    padding-top: 60px;
  }

  .p-top-4 {
    padding-top: 30px;
  }

  .p-top-3 {
    padding-top: 20px;
  }

  .m-bot-8 {
    margin-bottom: 60px;
  }

  .m-bot-4 {
    margin-bottom: 30px;
  }

  .m-bot-3 {
    margin-bottom: 20px;
  }

  .p-bot-8 {
    padding-bottom: 60px;
  }

  .p-bot-4 {
    padding-bottom: 30px;
  }

  .p-bot-3 {
    padding-bottom: 20px;
  }
  /*#endregion*/
}

@media screen and (max-width: 768px) {
  /*#region spacing*/
  section {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  .m-8 {
    margin-top: 40px;
    margin-bottom: 40px;
  }

  .m-4 {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .m-3 {
    margin-top: 15px;
    margin-bottom: 15px;
  }

  .p-8 {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  .p-4 {
    padding-top: 20px;
    padding-bottom: 20px;
  }

  .p-3 {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  .m-top-8 {
    margin-top: 40px;
  }

  .m-top-4 {
    margin-top: 20px;
  }

  .m-top-3 {
    margin-top: 15px;
  }

  .p-top-8 {
    padding-top: 40px;
  }

  .p-top-4 {
    padding-top: 20px;
  }

  .p-top-3 {
    padding-top: 15px;
  }

  .m-bot-8 {
    margin-bottom: 40px;
  }

  .m-bot-4 {
    margin-bottom: 20px;
  }

  .m-bot-3 {
    margin-bottom: 15px;
  }

  .p-bot-8 {
    padding-bottom: 40px;
  }

  .p-bot-4 {
    padding-bottom: 20px;
  }

  .p-bot-3 {
    padding-bottom: 15px;
  }
  /*#endregion*/
}

@media screen and (max-width: 450px) {
  /*#region spacing*/
  section {
    padding-top: 20px;
    padding-bottom: 20px;
  }

  .m-8 {
    margin-top: 30px;
    margin-bottom: 30px;
  }

  .p-8 {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  .m-top-8 {
    margin-top: 30px;
  }

  .p-top-8 {
    padding-top: 30px;
  }

  .m-bot-8 {
    margin-bottom: 30px;
  }

  .p-bot-8 {
    padding-bottom: 30px;
  }
  /*#endregion*/
}
/*#endregion*/
/*#region css main*/
.checkbox-container {
  [type="checkbox"]:not(:checked),
  [type="checkbox"]:checked,
  [type="radio"]:not(:checked),
  [type="radio"]:checked {
    position: absolute;
    left: -9999px;

    + label {
      position: relative;
      padding-left: 1.95em;
      cursor: pointer;

      &:before {
        @include border($size: 2px);
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        width: 1.25em;
        height: 1.25em;
        background: $white;
        /*border-radius: 4px;*/
        /*box-shadow: inset 0 1px 3px rgba(0,0,0,.1);*/
      }

      &:after {
        content: "\e809";
        font-family: "ecs";
        position: absolute;
        top: 0.1em;
        left: 0.3em;
        font-size: 1.3em;
        line-height: 0.8;
        color: $primary-color;
        -webkit-transition: all 0.2s;
        -o-transition: all 0.2s;
        transition: all 0.2s;
      }
    }
  }

  [type="checkbox"]:not(:checked),
  [type="radio"]:not(:checked) {
    + label:after {
      opacity: 0;
      -webkit-transform: scale(0);
      -ms-transform: scale(0);
      transform: scale(0);
    }
  }

  [type="checkbox"]:checked,
  [type="radio"]:checked {
    + label:after {
      opacity: 1;
      -webkit-transform: scale(1);
      -ms-transform: scale(1);
      transform: scale(1);
    }
  }

  [type="checkbox"]:disabled:not(:checked),
  [type="checkbox"]:disabled:checked,
  [type="radio"]:disabled:not(:checked),
  [type="radio"]:disabled:checked {
    + label:before {
      box-shadow: none;
      border-color: #bbb;
      background-color: #ddd;
    }
  }

  [type="checkbox"]:disabled:checked,
  [type="radio"]:disabled:checked {
    + label:after {
      color: #999;
    }
  }

  [type="checkbox"]:disabled,
  [type="radio"]:disabled {
    + label {
      color: #aaa;
    }
  }

  [type="checkbox"]:checked:focus,
  [type="checkbox"]:not(:checked):focus,
  [type="radio"]:checked:focus,
  [type="radio"]:not(:checked):focus {
    + label:before {
      @include border($size: 2px, $color: $primary-color);
    }
  }

  label {
    &:before {
      @include animation();
    }

    &:hover {
      &:before {
        @include border($size: 2px, $color: $primary-color);
      }
    }
  }

  &:last-child {
    label {
      margin-bottom: 0;
    }
  }
  // &.checkbox-img {
  //   [type="checkbox"]:not(:checked),
  //   [type="checkbox"]:checked,
  //   [type="radio"]:not(:checked),
  //   [type="radio"]:checked {
  //     & + label {
  //       padding-left: 0;
  //       img {
  //         @include animation();
  //       }
  //       &:before, &:after {
  //         display: none;
  //       }
  //     }
  //   }
  //   [type="checkbox"]:checked,
  //   [type="radio"]:checked {
  //     & + label {
  //       img {
  //         @include box-shadow2();
  //         @include border($size:4px, $color:$bg-black);
  //       }
  //     }
  //   }
  // }
}

.flex-container {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-flow: row wrap;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap; // -webkit-justify-content: space-around;
  -ms-flex-pack: distribute; // justify-content: space-around;
  &.flex-item-center {
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  &.row > .col,
  > .col {
    float: none;
  }
}

.flex-center {
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.v-height {
  display: table;
  height: 100%;
  width: 100%;
}

.text-center {
  text-align: center;
}

.cut-text {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.clearfix {
  &:after,
  &:before {
    content: " ";
    display: table;
  }

  &:after {
    clear: both;
  }
}

.unclearfix {
  &:after,
  &:before {
    content: initial;
    display: initial;
  }

  &:after {
    clear: initial;
  }
}
/*#endregion*/

/*#region #account*/
#account-page {
  background-color: $bg-gray;

  #login,
  #registration,
  #forgotpassword,
  #sociallogin,
  #resetpassword {
    .section-body {
      background-color: $white;
      width: 500px;
      max-width: 100%;
      padding: 30px;
      margin: 0 auto;

      .input-group {
        margin-top: 15px;

        label {
          width: 100px;
          font-weight: $font-weight-normal;
          margin-bottom: 0;
        }

        input {
          width: calc(100% - 100px);
          -webkit-box-shadow: none;
          box-shadow: none;
        }

        &:first-child {
          margin-top: 0;
        }
      }

      .btn-container {
        margin-top: 30px;
        margin-left: 100px;

        > p {
          margin-bottom: 10px;
        }

        .btn {
          display: block;
          width: 100%;
          margin-bottom: 10px;

          &:last-child {
            margin-bottom: 0;
          }
        }

        .btn-fb {
          background-color: #4267b2;
          color: $white;

          i {
            float: left;
            font-size: 20px;
            line-height: 20px;
          }

          &:hover {
            background-color: #3c5ea1;
          }
        }

        .btn-gp {
          background-color: #db4437;
          color: $white;

          i {
            float: left;
            font-size: 20px;
            line-height: 20px;
          }

          &:hover {
            background-color: #b63a30;
          }
        }

        > a:last-child {
          color: $info;
        }
      }
    }
  }

  #registration {
    .section-body {
      .input-group {
        label {
          width: 140px;
        }

        input {
          width: calc(100% - 140px);
        }
      }

      .btn-container {
        margin-left: 140px;
      }
    }
  }

  #resetpassword {
    .section-body {
      .btn-container {
        margin-top: 0;
        margin-left: 0;

        > a:last-child {
          color: #fff;
        }
      }
    }
  }

  #accountmenu {
    .section-header {
      margin-bottom: 10px;

      .img-container {
        width: 50px;
        height: 50px;
        font-size: 30px;
        line-height: 50px;
        background-color: $white;
        text-align: center;
      }

      .text-container {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
        width: calc(100% - 60px);
        margin-left: 10px;
        color: $gray;

        span {
          color: $black;
          display: block;
        }
      }
    }

    .section-body {
      ul {
        li {
          list-style: none;

          a {
            display: block;
          }
        }

        > li {
          > a {
            width: 100%;
            padding: 10px;

            i {
              color: $gray;
              font-size: 20px;
              line-height: 20px;
              margin-right: 5px;
              width: 25px;
              text-align: center;
              display: inline-block;
            }
          }

          &.active,
          &:hover {
            a {
              color: $black;
              background-color: #dcdcdc;
            }
          }
        }
      }
    }
  }

  #account {
    .section-header {
      margin-bottom: 10px;

      &.flex-center {
        margin-bottom: 15px;
        -webkit-box-pack: justify;
        -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
        justify-content: space-between;

        h2 {
          font-weight: $font-weight-light;

          span {
            font-weight: $font-weight-semibold;
          }
        }

        .date {
        }
      }
    }

    .section-body {
      background-color: $white;
      padding: 30px;
    }

    #accountinfoform {
      label {
        margin-bottom: 0;
        font-weight: $font-weight-normal;
      }

      .input-group {
        .checkbox-container {
          margin-right: 10px;

          &:last-child {
            margin-right: 0;
          }
        }

        > label:nth-child(1) {
          width: 100px;
        }

        input {
          width: calc(100% - 100px);
          box-shadow: none;
        }

        &:nth-child(1) {
          margin-top: 0;
        }
      }

      .input-group.flex-center {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
        margin-top: 15px;

        &:nth-child(1) {
          margin-top: 0;
        }
      }

      > .checkbox-container {
        margin: 20px 0;
      }

      .hidden-form {
        display: none;

        .input-group.flex-center {
          margin-top: 0;
          margin-bottom: 15px;

          &:last-child {
            margin-bottom: 20px;
          }
        }
      }

      .btn-container {
        margin-left: 100px;

        button {
          width: 250px;
          max-width: 100%;
        }
      }
    }

    #orderhistory {
      table {
        thead {
          th {
            color: $gray;
            font-weight: $font-weight-normal;
          }
        }

        tbody {
          tr {
            td:nth-child(3) {
              max-width: 350px;

              span {
                position: relative;
                padding-right: 10px;

                &:after {
                  position: absolute;
                  content: "-";
                  top: 0;
                  right: 3px;
                }

                &:last-child {
                  padding-right: 0;

                  &:after {
                    display: none;
                  }
                }
              }
            }
          }
        }

        a {
          color: $info;
        }
      }
      .item {
        @include border-bottom();
        padding-bottom: 10px;
        margin-bottom: 10px;
        p:nth-child(1) {
          font-weight: $font-weight-bold;
          margin-bottom: 10px;
          span {
            position: relative;
            padding-right: 10px;

            &:after {
              position: absolute;
              content: "-";
              top: 0;
              right: 3px;
            }

            &:last-child {
              padding-right: 0;

              &:after {
                display: none;
              }
            }
          }
        }
        &:last-child {
          margin-bottom: 0;
          padding-bottom: 0;
          border: none;
        }
      }
    }

    #orderdetail {
      padding: 0;
      background-color: transparent;

      .col {
        width: 100%;
      }

      .col:nth-child(1),
      .col:nth-child(2),
      .col:nth-child(3) {
        width: calc(50% - 7.5px);
        margin-right: 7.5px;
        margin-bottom: 15px;

        .col-header {
          text-transform: uppercase;
          padding-bottom: 5px;
        }

        .col-body {
          background-color: $white;
          padding: 15px;

          p.info {
            color: #33b5e5;
          }
        }
      }

      .col:nth-child(1),
      .col:nth-child(2) {
        background-color: $white;

        .col-header {
          background-color: $bg-gray;
        }

        .col-body {
          > p:nth-child(1) {
            font-weight: $font-weight-bold;
            text-transform: uppercase;
            margin-bottom: 10px;
          }
        }
      }

      .col:nth-child(2) {
        margin-right: 0;
        margin-left: 7.5px;
      }

      #listitemorder {
        .col-header {
          @include border-bottom();
          padding: 15px;
          background-color: $white;
          color: $gray;

          .img-container {
            width: 125px;
          }

          .text-container {
            width: calc(100% - 125px - 150px - 120px - 150px);
          }

          .price {
            width: 150px;
          }

          .quantity-container {
            width: 120px;
          }

          .total {
            width: 150px;
          }
        }

        .col-body {
          background-color: $white;

          .item {
            @include flex-container();
            @include border-top();
            padding: 15px;

            .img-container {
              // @include border();
              width: 125px;
              height: auto;
            }

            .text-container {
              width: calc(100% - 125px - 150px - 120px - 150px);
              padding: 0 15px;

              h3 {
                @include v-top();
                // margin-bottom: 10px;
              }

              .btn-container {
                @include v-bot();

                a {
                  color: #337ab7;

                  &:hover {
                    color: #4267b2;
                    text-decoration: underline;
                  }
                }
              }
            }

            .price {
              width: 150px;
              padding-right: 15px;
            }

            .quantity-container {
              width: 120px;
              padding-right: 15px;
            }

            .total {
              width: 150px;
            }

            &:first-child {
              border-top: none;
            }
          }
        }

        .col-footer {
          background-color: $white;
          margin-top: 15px;
          padding: 15px;
          width: calc(50% - 7.5px);
          margin-left: calc(50% + 7.5px);

          h2 {
            @include border-bottom();
            font-weight: $font-weight-bold;
            text-transform: uppercase;
            padding-bottom: 5px;
          }

          .item {
            margin-top: 10px;

            label {
              float: left;
              margin-bottom: 0;
            }

            p {
              float: right;
            }

            &:last-child {
              -webkit-box-pack: justify;
              -webkit-justify-content: space-between;
              -ms-flex-pack: justify;
              justify-content: space-between;

              p {
                color: $red;
              }
            }
          }
        }
      }
    }

    #accountaddres {
      .addbtn {
        @include border($style: dashed);
        padding: 15px 0;
        text-align: center;

        i {
          font-size: 35px;
          line-height: 35px;
          color: $red;
          margin-right: 10px;
        }

        &:hover {
          color: $red;
        }
      }

      .section-footer {
        .item {
          @include flex-center();
          margin-top: 20px;
          -webkit-box-pack: justify;
          -webkit-justify-content: space-between;
          -ms-flex-pack: justify;
          justify-content: space-between;
          padding: 15px;
          background-color: $white;

          .text-container {
            padding-right: 20px;

            > p:nth-child(1) {
              font-weight: $font-weight-bold;
              text-transform: uppercase;
              margin-bottom: 10px;
            }
          }

          .btn-container {
            .info {
              color: $info;
              margin-right: 20px;
            }

            .red {
              color: $red;
            }

            a:hover {
              text-decoration: underline;
            }
          }
        }
      }
    }

    #addaddressform,
    #updateaddressform {
      label {
        margin-bottom: 0;
        font-weight: $font-weight-normal;
      }

      .input-group {
        .checkbox-container {
          margin-right: 10px;

          &:last-child {
            margin-right: 0;
          }
        }

        > label:nth-child(1) {
          width: 100px;
        }

        input,
        select {
          width: calc(100% - 100px);
          box-shadow: none;
        }

        &:nth-child(1) {
          margin-top: 0;
        }
      }

      .input-group.flex-center {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
        margin-top: 15px;

        &:nth-child(1) {
          margin-top: 0;
        }
      }

      .btn-container {
        margin-left: 100px;
        margin-top: 20px;

        button {
          width: 250px;
          max-width: 100%;
        }
      }
    }
    .addticket-form {
      background: $white;
    }
  }
}
/*#endregion*/

@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
  /*#region index*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region #account*/
  #account-page {
    #account {
      #orderhistory {
        table {
          tbody {
            tr {
              td:nth-child(3) {
                max-width: 200px;
              }
            }
          }
        }
      }
      #orderdetail {
        #listitemorder {
          .col-header,
          .col-body .item {
            .img-container {
              width: 100px;
            }
            .price {
              width: 100px;
            }
            .quantity-container {
              width: 100px;
            }
            .total {
              width: 100px;
            }
            .text-container {
              width: calc(100% - 400px);
            }
          }
        }
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region #account*/
  #account-page {
    #accountmenu {
      padding-bottom: 0;
    }
    #account {
      .section-body {
        padding: 15px;
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region #account*/
  #account-page {
    #account {
      padding-top: 0;
      .section-header.flex-center {
        @include non-flex-container();
        .date {
          margin-top: 5px;
        }
      }
      #orderdetail {
        .col:nth-child(1),
        .col:nth-child(2),
        .col:nth-child(3) {
          margin-top: 0;
          width: 100%;
          margin-left: 0;
          margin-right: 0;
        }
        #listitemorder {
          margin-top: 0;
          .col-header {
            display: none;
          }
          .col-body {
            .item {
              padding: 15px;
              display: block;
              -webkit-box-orient: inherit;
              -webkit-box-direction: inherit;
              -webkit-flex-direction: inherit;
              -ms-flex-direction: inherit;
              flex-direction: inherit;
              -webkit-flex-wrap: inherit;
              -ms-flex-wrap: inherit;
              flex-wrap: inherit;
              .img-container {
                width: 100px;
                float: left;
              }
              .text-container {
                width: calc(100% - 100px);
                padding-left: 10px;
                padding-right: 0;
                float: left;
                position: relative;
                .v-height {
                  display: block;
                  height: auto;
                  width: auto;
                }
                h3 {
                  display: block;
                  vertical-align: inherit;
                  padding-right: 0;
                  margin-bottom: 0;
                  width: auto;
                  font-size: 14px;
                }
                .btn-container {
                  // position:absolute;
                  // top:0;
                  // right:0;
                  a {
                    display: block;
                    // width:15px;
                    // height:15px;
                  }
                }
              }
              .price {
                width: calc(70% - 100px);
                padding-left: 10px;
                padding-right: 0;
                margin-right: 0;
                float: left;
                margin-top: 10px;
                .new-price {
                  font-weight: $font-weight-bold;
                }
              }
              .quantity-container {
                margin-top: 10px;
                width: 30%;
                text-align: left;
                float: right;
                padding-left: 10px;
                padding-right: 0;
                font-weight: $font-weight-bold;
              }
              .total {
                display: none;
              }
              &:after,
              &:before {
                content: " ";
                display: table;
              }
              &:after {
                clear: both;
              }
            }
          }
          .col-footer {
            width: 100%;
            margin-left: 0;
          }
        }
      }
      #accountaddres {
        .section-footer {
          .item {
            @include non-flex-container();
            .text-container {
              padding-right: 0;
            }
            .btn-container {
              margin-top: 10px;
            }
          }
        }
      }
      #accountinfoform,
      #addaddressform,
      #updateaddressform {
        .input-group {
          input,
          select {
            width: 100%;
          }
        }
        .input-group.flex-center {
          @include non-flex-container();
          label {
            display: block;
            margin-bottom: 5px;
          }
        }
        .input-group.flex-center:nth-child(1) {
          @include flex-center();
          -webkit-box-pack: start;
          -webkit-justify-content: flex-start;
          -ms-flex-pack: start;
          justify-content: flex-start;
          label {
            margin-bottom: 0;
          }
        }
        .changepassform {
          .input-group {
            input {
              width: 100%;
            }
          }
          .input-group.flex-center {
            @include non-flex-container();
            label {
              display: block;
              margin-bottom: 5px;
            }
          }
        }
        .btn-container {
          margin-left: 0;
          .btn {
            width: 100%;
          }
        }
      }
    }
    #login,
    #registration,
    #forgotpassword,
    #sociallogin,
    #resetpassword {
      .section-body {
        padding: 15px;
        .input-group.flex-center {
          @include non-flex-container();
          label {
            margin-bottom: 5px;
          }
          input {
            width: 100%;
          }
        }
        .btn-container {
          margin-left: 0;
          width: 100%;
        }
      }
    }
  }

  /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
  /*#region product*/
  /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
